public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/glusterfs/
Date: Sun, 14 Mar 2021 08:41:14 +0000 (UTC)	[thread overview]
Message-ID: <1615711265.7ee52f7eb53652b85b3ba1ddac6b6e22d57e0922.juippis@gentoo> (raw)

commit:     7ee52f7eb53652b85b3ba1ddac6b6e22d57e0922
Author:     Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Sat Mar 13 07:22:26 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Mar 14 08:41:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ee52f7e

sys-cluster/glusterfs: version 8.4

Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Closes: https://github.com/gentoo/gentoo/pull/19908
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-cluster/glusterfs/Manifest             |   1 +
 sys-cluster/glusterfs/glusterfs-8.4.ebuild | 193 +++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

diff --git a/sys-cluster/glusterfs/Manifest b/sys-cluster/glusterfs/Manifest
index 23d7ac305f1..e5e4077cbfc 100644
--- a/sys-cluster/glusterfs/Manifest
+++ b/sys-cluster/glusterfs/Manifest
@@ -1,3 +1,4 @@
 DIST glusterfs-7.9.tar.gz 7702149 BLAKE2B e23b5a45a8c2c4f02f0992dfc78bea942a1dcc621082cb5c6aebf73e0cba17a7c0334700aec8c82dc7d093fbddcf9f579320561412b94ec010cf51c0210f2654 SHA512 5683bf2ff3550b8286e27b70981cb176c445e432624db79f065eb5928bc4afdf009f54f3b1d5abde1f6d2c532c9c4820860685aea0d0f709dc78fcf35bfea688
 DIST glusterfs-8.3.tar.gz 7829522 BLAKE2B 1ba60f7209db4f1ce21237c3adea94df1b9eae04d15f99eb414bf961ea67aa7e08d01ea47c8793a33afbc0ff6cf63ecb81f78fa1ba74d66e2d4358ef2bdadacc SHA512 7ca9d3d8938eb27a7347461a07457e90d1ee6e8d5417970e38245c819cf09bf2ecf9de3954b75edf5cf14816e1059fb381b95935ae1f973ebd14ee7531322aa9
+DIST glusterfs-8.4.tar.gz 7833014 BLAKE2B c67f510c655465e9fbecaa7f391531543e37a2a84917592e699d88564b24fe55689b95770f385ac5b645069f287d4af974db76a77c0f44ea5d2e88f995b427f7 SHA512 a81394b3584c2e6c27060367b443c0879512054ed9287740bc24308603b9e3c11376179ed6589d5d38441982cd6415e3612f98ae4c97ddf7d5c747b42171d796
 DIST glusterfs-9.0.tar.gz 8171193 BLAKE2B f9f9905515607b4877432bde264075f73c4c076ae435a67ab803affc468f5f88d02235419fea6e25db19adecff9b797a41eb5ac63772fe81251c064389f7aca6 SHA512 daa5a7342c067c75668910e8fed17145636e7a576830b4cd68e81d9fceedaab918228b8780ebd5014e2397e0606858af650cd2c52bec0883ccd2126955ad07e7

diff --git a/sys-cluster/glusterfs/glusterfs-8.4.ebuild b/sys-cluster/glusterfs/glusterfs-8.4.ebuild
new file mode 100644
index 00000000000..447c689852d
--- /dev/null
+++ b/sys-cluster/glusterfs/glusterfs-8.4.ebuild
@@ -0,0 +1,193 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit autotools elisp-common python-single-r1 systemd
+
+SRC_URI="https://download.gluster.org/pub/gluster/${PN}/$(ver_cut 1)/${PV}/${P}.tar.gz"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+DESCRIPTION="GlusterFS is a powerful network/cluster filesystem"
+HOMEPAGE="https://www.gluster.org/ https://github.com/gluster/glusterfs/"
+
+LICENSE="|| ( GPL-2 LGPL-3+ )"
+SLOT="0/${PV%%.*}"
+IUSE="debug emacs +fuse +georeplication ipv6 libressl +libtirpc rsyslog static-libs +syslog test +xml"
+
+REQUIRED_USE="georeplication? ( ${PYTHON_REQUIRED_USE} xml )
+	ipv6? ( libtirpc )"
+
+# the tests must be run as root
+RESTRICT="test"
+
+# sys-apps/util-linux is required for libuuid
+RDEPEND="
+	acct-group/gluster
+	acct-user/gluster
+	dev-libs/libaio
+	dev-libs/userspace-rcu:=
+	net-libs/rpcsvc-proto
+	sys-apps/util-linux
+	sys-libs/readline:=
+	emacs? ( >=app-editors/emacs-23.1:* )
+	fuse? ( >=sys-fs/fuse-2.7.0:0 )
+	georeplication? ( ${PYTHON_DEPS} )
+	xml? ( dev-libs/libxml2 )
+	!elibc_glibc? ( sys-libs/argp-standalone )
+	libtirpc? ( net-libs/libtirpc:= )
+	!libtirpc? ( elibc_glibc? ( sys-libs/glibc[rpc(-)] ) )
+	!libressl? ( dev-libs/openssl:=[-bindist] )
+	libressl? ( dev-libs/libressl:= )
+"
+DEPEND="
+	${RDEPEND}
+	sys-devel/bison
+	sys-devel/flex
+	virtual/acl
+	test? ( >=dev-util/cmocka-1.0.1
+		app-benchmarks/dbench
+		dev-vcs/git
+		net-fs/nfs-utils
+		virtual/perl-Test-Harness
+		dev-libs/yajl
+		sys-fs/xfsprogs
+		sys-apps/attr )
+"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+SITEFILE="50${PN}-mode-gentoo.el"
+
+DOCS=( AUTHORS ChangeLog NEWS README.md THANKS )
+
+# Maintainer notes:
+# * The build system will always configure & build argp-standalone but it'll never use it
+#   if the argp.h header is found in the system. Which should be the case with
+#   glibc or if argp-standalone is installed.
+
+pkg_setup() {
+	python_setup "python3*"
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	# build rpc-transport and xlators only once as shared libs
+	find rpc/rpc-transport xlators -name Makefile.am -exec \
+		sed -i 's|.*$(top_srcdir).*\.sym|\0 -shared|' {} + || die
+
+	# fix execution permissions
+	chmod +x libglusterfs/src/gen-defaults.py || die
+
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--disable-fusermount \
+		$(use_enable debug) \
+		$(use_enable fuse fuse-client) \
+		$(use_enable georeplication) \
+		$(use_enable static-libs static) \
+		$(use_enable syslog) \
+		$(use_enable test cmocka) \
+		$(use_enable xml xml-output) \
+		$(use libtirpc || echo --without-libtirpc) \
+		$(use ipv6 && echo --with-ipv6-default) \
+		--with-tmpfilesdir="${EPREFIX}"/etc/tmpfiles.d \
+		--localstatedir="${EPREFIX}"/var
+}
+
+src_compile() {
+	default
+	use emacs && elisp-compile extras/glusterfs-mode.el
+}
+
+src_install() {
+	default
+
+	rm \
+		"${ED}"/etc/glusterfs/glusterfs-{georep-,}logrotate \
+		"${ED}"/etc/glusterfs/gluster-rsyslog-*.conf \
+		"${ED}"/usr/share/doc/${PF}/glusterfs{-mode.el,.vim} || die "removing false files failed"
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/glusterfs.logrotate glusterfs
+
+	if use rsyslog ; then
+		insinto /etc/rsyslog.d
+		newins extras/gluster-rsyslog-7.2.conf 60-gluster.conf
+	fi
+
+	if use emacs ; then
+		elisp-install ${PN} extras/glusterfs-mode.el*
+		elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+	fi
+
+	insinto /usr/share/vim/vimfiles/ftdetect; doins "${FILESDIR}"/${PN}.vim
+	insinto /usr/share/vim/vimfiles/syntax; doins extras/${PN}.vim
+
+	# insert some other tools which might be useful
+	insinto /usr/share/glusterfs/scripts
+	doins \
+		extras/backend-{cleanup,xattr-sanitize}.sh \
+		extras/clear_xattrs.sh \
+		extras/migrate-unify-to-distribute.sh
+
+	# correct permissions on installed scripts
+	# fperms 0755 /usr/share/glusterfs/scripts/*.sh
+	chmod 0755 "${ED}"/usr/share/glusterfs/scripts/*.sh || die
+
+	newinitd "${FILESDIR}/${PN}-r1.initd" glusterfsd
+	newinitd "${FILESDIR}/glusterd-r3.initd" glusterd
+	newconfd "${FILESDIR}/${PN}.confd" glusterfsd
+
+	keepdir /var/log/${PN}
+	keepdir /var/lib/glusterd/{events,glusterfind/.keys}
+
+	# QA
+	rm -r "${ED}/var/run/" || die
+	if ! use static-libs; then
+		find "${D}" -type f -name '*.la' -delete || die
+	fi
+
+	python_optimize "${ED}"
+}
+
+src_test() {
+	./run-tests.sh || die
+}
+
+pkg_postinst() {
+	elog "Starting with ${PN}-3.1.0, you can use the glusterd daemon to configure your"
+	elog "volumes dynamically. To do so, simply use the gluster CLI after running:"
+	elog "  /etc/init.d/glusterd start"
+	echo
+	elog "For static configurations, the glusterfsd startup script can be multiplexed."
+	elog "The default startup script uses /etc/conf.d/glusterfsd to configure the"
+	elog "separate service.  To create additional instances of the glusterfsd service"
+	elog "simply create a symlink to the glusterfsd startup script."
+	echo
+	elog "Example:"
+	elog "    # ln -s glusterfsd /etc/init.d/glusterfsd2"
+	elog "    # ${EDITOR} /etc/glusterfs/glusterfsd2.vol"
+	elog "You can now treat glusterfsd2 like any other service"
+	echo
+	ewarn "You need to use a ntp client to keep the clocks synchronized across all"
+	ewarn "of your servers. Setup a NTP synchronizing service before attempting to"
+	ewarn "run GlusterFS."
+	echo
+	elog "If you are upgrading from a previous version of ${PN}, please read:"
+	elog "  http://docs.gluster.org/en/latest/Upgrade-Guide/upgrade_to_$(ver_cut '1-2')/"
+
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}


             reply	other threads:[~2021-03-14  8:41 UTC|newest]

Thread overview: 168+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-14  8:41 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-14 19:49 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/glusterfs/ Sam James
2024-01-14 19:49 Sam James
2024-01-14 19:49 Sam James
2024-01-14 19:49 Sam James
2024-01-14 19:00 Sam James
2024-01-14 19:00 Sam James
2024-01-05  5:14 Sam James
2024-01-05  5:14 Sam James
2024-01-05  5:14 Sam James
2023-09-15  4:53 Arthur Zamarin
2023-09-01 14:14 Sam James
2023-09-01 14:14 Sam James
2023-09-01 10:32 Arthur Zamarin
2023-08-29 19:34 Sam James
2023-08-26  6:50 Sam James
2023-08-26  6:50 Sam James
2023-08-26  6:50 Sam James
2023-08-02 12:50 Sam James
2023-07-31 12:09 Sam James
2023-07-31 12:04 Sam James
2023-07-31 11:36 Sam James
2023-07-31 11:36 Sam James
2023-07-31  2:02 Sam James
2023-07-30 18:59 Sam James
2023-07-30 18:59 Sam James
2023-05-13  3:31 Sam James
2023-05-10  2:29 Sam James
2023-05-10  2:25 Sam James
2023-05-10  2:25 Sam James
2023-05-10  2:25 Sam James
2023-05-10  2:25 Sam James
2023-05-01 12:52 Sam James
2023-05-01 12:49 Sam James
2022-12-24  7:03 Sam James
2022-12-23 20:11 Kenton Groombridge
2022-08-27 10:36 Sam James
2022-08-27 10:36 Sam James
2022-08-27 10:12 Arthur Zamarin
2022-05-19 10:35 WANG Xuerui
2022-03-15  9:59 Jakov Smolić
2022-03-15  9:38 Jakov Smolić
2022-03-04  9:33 Matthew Smith
2022-02-18  2:44 Sam James
2022-02-18  2:44 Sam James
2022-02-18  2:44 Sam James
2022-02-04 18:48 Sam James
2022-02-04  7:22 Agostino Sarubbo
2022-02-02 22:24 Sam James
2022-02-02 15:23 Jakov Smolić
2021-11-22 10:55 Sam James
2021-11-22 10:55 Sam James
2021-11-22 10:11 Sam James
2021-11-22 10:11 Sam James
2021-11-22 10:11 Sam James
2021-11-22 10:11 Sam James
2021-11-22 10:11 Sam James
2021-11-12 20:54 Sam James
2021-11-12 20:54 Sam James
2021-11-12 20:43 Jakov Smolić
2021-11-12 20:43 Jakov Smolić
2021-10-05  4:29 Sam James
2021-09-03  1:53 Sam James
2021-08-22  3:42 Sam James
2021-08-20 10:21 Alexys Jacob
2021-08-20  5:58 Agostino Sarubbo
2021-08-19  1:08 Sam James
2021-08-19  1:08 Sam James
2021-07-31  1:37 Sam James
2021-07-30 22:55 David Seifert
2021-06-17 22:18 Thomas Deutschmann
2021-06-17 20:32 Thomas Deutschmann
2021-05-19 10:06 Joonas Niilola
2021-05-19 10:06 Joonas Niilola
2021-05-15  2:01 Sam James
2021-05-14 20:17 Sam James
2021-05-14 17:22 Sam James
2021-05-14 17:22 Sam James
2021-04-30  9:17 Mikle Kolyada
2021-04-10  4:24 Sam James
2021-03-14  8:41 Joonas Niilola
2021-03-12 14:50 Joonas Niilola
2021-03-12 14:50 Joonas Niilola
2021-03-12 14:50 Joonas Niilola
2021-03-12 14:50 Joonas Niilola
2021-03-11 13:33 Sam James
2021-03-11 13:33 Sam James
2021-03-11 13:33 Sam James
2021-03-11 13:33 Sam James
2021-02-16 12:30 Sam James
2021-02-12 14:15 Sam James
2021-02-12 13:47 Sam James
2021-02-12  9:57 Sam James
2021-01-26 14:33 Joonas Niilola
2021-01-26 14:33 Joonas Niilola
2021-01-26 14:33 Joonas Niilola
2021-01-26 14:33 Joonas Niilola
2021-01-26 14:33 Joonas Niilola
2021-01-26 14:33 Joonas Niilola
2020-10-09 12:20 Alexys Jacob
2020-10-09 10:57 Alexys Jacob
2020-10-09  8:41 Agostino Sarubbo
2020-10-09  8:36 Agostino Sarubbo
2020-10-09  8:35 Agostino Sarubbo
2020-10-07  6:42 Agostino Sarubbo
2020-10-06 21:45 Sam James
2020-08-12 15:06 Sam James
2020-06-30 13:31 Thomas Deutschmann
2020-06-30 13:31 Thomas Deutschmann
2020-06-30 13:31 Thomas Deutschmann
2020-06-30 13:31 Thomas Deutschmann
2020-06-30 13:31 Thomas Deutschmann
2020-06-30  6:34 Agostino Sarubbo
2020-06-27 19:06 Sergei Trofimovich
2020-06-26 17:43 Agostino Sarubbo
2020-05-09 20:22 Alexys Jacob
2020-04-10 15:51 Alexys Jacob
2020-04-10 15:51 Alexys Jacob
2020-01-19  9:47 Alexys Jacob
2019-12-20 22:49 Ulrich Müller
2019-10-18  7:17 Alexys Jacob
2019-06-05 15:45 Alexys Jacob
2019-05-08 16:55 Alexys Jacob
2019-05-08 16:55 Alexys Jacob
2019-04-14 10:48 Alexys Jacob
2019-04-14 10:47 Alexys Jacob
2019-04-07 21:16 Sergei Trofimovich
2019-03-30 10:46 Agostino Sarubbo
2019-03-28 20:43 Aaron Bauman
2019-03-19 13:04 Agostino Sarubbo
2018-12-09 23:51 Thomas Deutschmann
2018-12-08  9:44 Sergei Trofimovich
2018-12-08  9:36 Sergei Trofimovich
2018-12-02 18:06 Mikle Kolyada
2018-11-25 20:28 Alexys Jacob
2018-11-25 20:28 Alexys Jacob
2018-11-25 20:28 Alexys Jacob
2018-11-25 20:28 Alexys Jacob
2018-11-25 20:28 Alexys Jacob
2018-11-25 20:28 Alexys Jacob
2018-05-26 11:07 James Le Cuirot
2018-05-26 11:07 James Le Cuirot
2018-05-25 21:16 Mikle Kolyada
2018-05-13 23:51 Aaron Bauman
2018-05-13 22:06 Thomas Deutschmann
2018-03-08 23:06 James Le Cuirot
2018-03-08 23:06 James Le Cuirot
2017-12-09 20:21 James Le Cuirot
2017-12-09 18:50 James Le Cuirot
2017-11-27  0:20 Thomas Deutschmann
2017-11-26 20:07 Sergei Trofimovich
2017-11-24 13:23 Agostino Sarubbo
2017-11-21 20:43 James Le Cuirot
2017-11-21 20:43 James Le Cuirot
2017-11-21 20:43 James Le Cuirot
2017-11-21 20:43 James Le Cuirot
2017-10-22 16:35 James Le Cuirot
2017-04-21 17:05 Alexys Jacob
2016-11-27 14:53 Alexys Jacob
2016-11-25 18:54 Agostino Sarubbo
2016-11-25 18:27 Agostino Sarubbo
2016-06-29 22:33 Alexey Shvetsov
2016-04-18  9:43 Patrice Clement
2015-11-12 10:11 Agostino Sarubbo
2015-10-04 10:17 Jeroen Roovers
2015-09-29 16:36 Kacper Kowalik
2015-09-08 12:06 Tiziano Müller
2015-09-03  8:46 Alexys Jacob

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1615711265.7ee52f7eb53652b85b3ba1ddac6b6e22d57e0922.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox